Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# GraceTMPL Namespace Reference

Namespace for classes used to store datasets in xmgrace files. More...

## Compounds

struct | GraceTMPL::Save::CopySrc
| Struct to give easy access to copy-data sources. More...
class | GraceTMPL::Data
| Container for x/y data pairs, optionally with dx and dy. More...
class | GraceTMPL::Environment
| Hierarchical environment system. More...
class | GraceTMPL::EnvironmentUser
| Base class for any class that should use Environment. More...
class | GraceTMPL::Graph
| Container for a graph holding some datasets. More...
class | GraceTMPL::Save
| Container for a number of graphs to be saved in a xmgrace compatible file format. More...
struct | GraceTMPL::Save::Template
| Struct to hold template data. More...

## Typedefs

typedef std::vector< std::string > | StringVec
| convenience type definition.
typedef std::vector< StringVec > | String2Vec
| convenience type definition.
typedef std::map< int, StringVec > | StringVecMap
| convenience type definition.
typedef std::map< int, StringVecMap > | StringVec2Map
| convenience type definition.
typedef std::map< std::string, std::string > | StringMap
| convenience type definition.
typedef std::map< std::string, StringMap *> | StringStringMap
| convenience type definition.

## Functions

std::string | smashVars (const std::string &from)
| Removes any occurences of $NAME or ${CONTEXT::NAME} in a string.
std::string | stringNum (double d, const char *fmt="%lg")
| String factory formatting double values.
std::string | stringNum (float d, const char *fmt="%g")
| String factory formatting double values.
std::string | stringNum (long i, const char *fmt="%ld")
| String factory formatting double values.
std::string | stringNum (int i, const char *fmt="%d")
| String factory formatting double values.

## Detailed Description

Namespace for classes used to store datasets in xmgrace files.

The datasets are organized in graphs. At least one graph is saved per file depending on the template used (if any).